### Method

# Soup ServerMessage get_local_address

#### Declaration [src]

    GSocketAddress*
    soup_server_message_get_local_address (
      SoupServerMessage* msg
    )

#### Description [src]

Retrieves the `GSocketAddress` associated with the local end of a connection.

#### Return value

Returns: | `GSocketAddress`
| The `GSocketAddress` associated with the local end of a connection, it may be `NULL` if you used `soup_server_accept_iostream()`.
| The data is owned by the instance.
| The return value can be `NULL`.